.\"
.\" DI $Id: trxtr.tr,v 1.11 2013/10/30 20:27:30 pj Exp pj $
.\" DA Pierre‐Jean Fichet
.\" DS Utroff trxtr manual
.\" DT Utroff trxtr manual
.\" DK utroff trxtr prexml postxml troff nroff heirloom tmac xml
.
.
.
.TH TRXTR 1 '2014‐03‐17'
.
.
.
.SH NAME
.PP
\fBtrxtr\fR - Troff xml translator.
.
.
.
.SH SYNOPSIS
.PP
\fBtrxtr\fR \fIstylesheet\fR
< \fIinfile.xml\fR > \fIoutfile.xml\fR
.
.
.
.SH DESCRIPTION
.PP
\fITrxtr\fR is a simple shell script which use
\fIxsltproc\fR to translate an xml file produced by the
\fIux\fR nroff macro and \fIpostxml\fR to some other xml
file. \fItrxtr\fR has been made to be used at the end of a
nroff pipe:
.PP
.EX
prexml \fB<\fR f.tr \fB|\fR nroff -Tlocale -mux \fB|\fR \
postxml \fB|\fR trxtr fodt \fB>\fR f.fodt
.EE
.PP
Current stylesheets are:
\fIhtml\fR, for xhtml document;
\fIfodt\fR, for flat open document text;
and
\fIutroff.org\fR, which is used to build the website
utroff.org <http://utroff.org>.
.
.
.
.SH FILES
.PP
\fI@BINDIR@/trxtr\fR the shell script;
\fI@XSLDIR@/\fR Directory containing stylesheets.
.
.
.
.SH SEE ALSO
.PP
nroff(1),
postxml(1),
utmac.
.
.
.
.SH LICENSE
.PP
\fITrxtr\fR and this man page are
distributed under a
two clause BSD
license.
.
.
.
.SH BUGS & HELP
.PP
Don’t hesitate to ask questions at help at utroff dot org.
Please, send bugs and patches at help at utroff dot org.
.
.
.
.SH AUTHOR
.PP
Written by Pierre‐Jean \fCFichet\fR.
